gtkmm 4.7.1

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< RefPtr< Gtk::Expression< T > > > Class Template Reference

`#include <gtkmm/expression.h>`

Inheritance diagram for Glib::Value< RefPtr< Gtk::Expression< T > > >:
[legend]

## Public Types
using | CppType = RefPtr< Gtk::Expression< T > >

## Public Member Functions
void | set (const CppType &data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| ValueBase (const ValueBase &other)
ValueBase & | operator= (const ValueBase &other)
| ~ValueBase () noexcept
void | init (GType type)
void | init (const GValue *value)
void | reset ()
GValue * | gobj ()
const GValue * | gobj () const

## Static Public Member Functions
static GType | value_type ()

## Additional Inherited Members
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Typedef Documentation

## ◆ CppType

template <class T >

using Glib::Value< RefPtr< Gtk::Expression< T > > >::CppType = RefPtr<Gtk::Expression<T> >

## Member Function Documentation

## ◆ get()

template <class T >

Value< RefPtr< Gtk::Expression< T > > >::CppType Glib::Value< RefPtr< Gtk::Expression< T > > >::get

## ◆ set()

template <class T >

void Glib::Value< RefPtr< Gtk::Expression< T > > >::set | ( | const CppType & | data | ) |

## ◆ value_type()

template <class T >

GType Glib::Value< RefPtr< Gtk::Expression< T > > >::value_type
| static